### Virtual Method

# Ide DiagnosticTool get_stdin_bytes

#### Declaration

    GBytes*
    get_stdin_bytes (
      IdeDiagnosticTool* self,
      GFile* file,
      GBytes* contents,
      const char* language_id
    )

#### Description

No description available.

#### Parameters

`file` | `GFile`
| No description available.
| The data is owned by the caller of the function.
`contents` | `GBytes`
| No description available.
| The data is owned by the caller of the function.
`language_id` | `const char*`
| No description available.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `GBytes`
| No description available.
| The caller of the function takes ownership of the data, and is responsible for freeing it.